IFAPI_DUPLICATE Struct Reference

`#include <ifapi_keystore.h>`

## Data Fields

TPM2B_PRIVATE | duplicate
TPM2B_ENCRYPTED_SECRET | encrypted_seed
TPM2B_PUBLIC | public
TPM2B_PUBLIC | public_parent
char * | certificate
TPMS_POLICY * | policy

## Detailed Description

Type for representing a FAPI object for key duplication.

## Field Documentation

## certificate

char* certificate

The certificate of the key to be duplicated

## duplicate

TPM2B_PRIVATE duplicate

The duplicate of the key to export

## encrypted_seed

TPM2B_ENCRYPTED_SECRET encrypted_seed

Encrypted seed needed for key import

## policy

TPMS_POLICY* policy

The policy of the key to be duplicated

## public

TPM2B_PUBLIC public

The public information of the key to be duplicated

## public_parent

TPM2B_PUBLIC public_parent

The public information of the new parent key

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_keystore.h